#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

int main()
{
    int n, k, pozicija;
    vector<int> spil;
    cin >> n >> k;
    for(int x=0; x<n; ++x)
    {
        int karta;
        cin >> karta;
        spil.push_back(karta);
    }
    if(n == 2)
    {
        if(k == spil[0])
            cout << spil[1];
        else
            cout << spil[0];
    }
    else
    {
        auto it = find(spil.begin(), spil.end(), k);
        pozicija = it - spil.begin();
        if(pozicija == n-1)
            cout << spil[0];
        else
            cout << spil[pozicija+1];
    }
}